lnn {PROcess} | R Documentation

## Estimate Signal and Variation of a Spectrum

### Description

Estimate the signal and the variation of a spectrum.

### Usage

    lnn(x, span = 21, sm.span = 11)

### Arguments

`x` | a vector of real values.
`span` | the window widith for estimation of local variation.
`sm.span` | the window width for estimation of the signal of x.

### Details

The signal of a spectrum is estimated by moving average and its local variation is estimated by moving `mad', possibly in a large window.

### Value

A list with two components:

`fitted` | estimated signal,
`sigma` | estimated local variation.

[Package PROcess version 1.6.3 Index]